/*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v8.4.14,
* Autoprefixer: v10.4.7
* Browsers: last 4 version
*/

/* CSS HEX Colot Palette
    --primary-color: #060678ff;
    --background-color: #f5f4f5ff;
    --link-color: #d00000ff;
    --visited-link: #0bad39ff;
    --accent-orange: #f18f01ff;
    --accent-blue: #0c0ce9ff;
    --gridTile-Ltgray: #d3d3d3;
    --sunStart: #edc655;
    --sunHalf: #fcffad;
    --sunEnd: #f76414;
 */

* {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

.page-header {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    width: 100%;
    padding: 20px;
}

.page-header__item {
    -webkit-box-flex: 0;
    -ms-flex: 0 1 200px;
    flex: 0 1 200px;
}

.page-header__item:last-child {
    -webkit-box-flex: 1;
    -ms-flex-positive: 1;
    flex-grow: 1;
    text-align: right;
}

.navigation-list {
    list-style-type: none;
}

.navigation-list li {
    display: inline-block;
    margin-left: 15px;
}

body {
    background-color: #f5f4f5ff;
    font-family: "sulpher point", sans-serif;
    font-weight: 400;
    /*Sets the font size to 16px */
    font-size: 16px;
    /*Sets the line-height to 1.6 */
    line-height: 1.6;
}

.about-me {
    max-width: 700px;
    margin: 0 auto;
    text-align: center;
}

.profile {
    max-width: 700px;
    margin: 0 auto;
}

.profile__portrait {
    float: left;
    width: 250px;
    margin-right: 40px;
    border-radius: 50%;
}

.contact-info {
    max-width: 700px;
    margin: 0 auto;
    text-align: center;
}

.form-container {
    display: block;
    border: 5px solid #060678ff;
    border-radius: 5px;
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content;
    height: -webkit-fit-content;
    height: -moz-fit-content;
    height: fit-content;
    padding: 20px 40px;
    margin: 20px auto;
    position: relative;
    text-align: center;
}

h1 {
    font-size: 30px;
    font-weight: 700;
}

h2 {
    font-size: 24px;
    font-weight: 700;
}

h3 {
    font-size: 18px;
    font-weight: 700;
}

a {
    color: #d00000ff;
}

a:visited {
    /* visited link */
    color: #0bad39ff;
}

a:hover,
a:focus {
    /* No underlining when hovering over a link */
    text-decoration: none;
}

a:active {
    /* selected link */
    color: #f18f01ff;
}

button {
    /* overwrites browser defaults and resets the border */
    border: none;
    display: inline-block;
    /* takes the font from the outer container */
    font-family: inherit;
    /* styles the background color, font color, and text decoration (underline, etc.) of the button */
    background-color: #060678ff;
    color: #f18f01ff;
    text-decoration: none;
    padding: 10px;
    /*adds spacing to the button (this will be discussed more in-depth later) */
    border-radius: 30px;
    /* gives the button a bottom border with a width of 3px, a type of solid, and a color in RGBA format */
    border-bottom: 3px solid #f18f01ff;
    -webkit-transition: opacity 0.2s;
    -o-transition: opacity 0.2s;
    transition: opacity 0.2s;
}

.button {
    /* overwrites browser defaults and resets the border */
    border: none;
    display: inline-block;
    /* takes the font from the outer container */
    font-family: inherit;
    /* styles the background color, font color, and text decoration (underline, etc.) of the button */
    background-color: #060678ff;
    color: #f18f01ff;
    text-decoration: none;
    padding: 10px;
    /*adds spacing to the button (this will be discussed more in-depth later) */
    border-radius: 30px;
    /* gives the button a bottom border with a width of 3px, a type of solid, and a color in RGBA format */
    border-bottom: 3px solid #f18f01ff;
    -webkit-transition: opacity 0.2s;
    -o-transition: opacity 0.2s;
    transition: opacity 0.2s;
}

button:hover,
button:focus,
.button:hover,
.button:focus {
    /* lets the mouse appear as a hand when hovering over the button */
    cursor: pointer;
    /* reduces the opacity of the button to 80% */
    opacity: 0.8;
}

.button__secondary {
    background-color: #0c0ce9ff;
    color: #f18f01ff;
}

.navigation-list__item--active {
    text-decoration: none;
}

.page-footer {
    clear: both;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    text-align: center;
}

.project__heading {
    clear: both;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    text-align: center;
    font-size: 60px;
    color: #0c0ce9ff;
}

.project-list {
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 1fr 20px 1fr 20px 1fr;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 20px;
    margin: 20px;
}

.project__item {
    background-color: #d3d3d3;
    padding-top: 20px;
    padding-right: 20px;
    padding-bottom: 20px;
    padding-left: 20px;
    -webkit-box-shadow: 0 2px 6px #0c0ce9ff;
    box-shadow: 0 2px 6px #0c0ce9ff;
    -webkit-transition: -webkit-transform 0.5s ease;
    transition: -webkit-transform 0.5s ease;
    -o-transition: transform 0.5s ease;
    transition: transform 0.5s ease;
    transition: transform 0.5s ease, -webkit-transform 0.5s ease;
}

.project__item:hover {
    -webkit-transform: scale(1.1);
    -ms-transform: scale(1.1);
    transform: scale(1.1);
    cursor: pointer;
}

.sun {
    -webkit-animation: 4s color-change infinite alternate linear;
    animation: 4s color-change infinite alternate linear;
}

.cloud-front {
    -webkit-animation: 30s cloud-move infinite alternate linear;
    animation: 30s cloud-move infinite alternate linear;
}

.cloud-back {
    -webkit-animation: 34s cloud-move-reverse infinite alternate linear;
    animation: 34s cloud-move-reverse infinite alternate linear;
}

.navigation-list__item {
    position: relative;
    display: inline-block;
    text-decoration: none;
    color: #0c0ce9ff; /* Adjust color as needed */
    padding: 10px 20px; /* Adjust padding as needed */
    overflow: hidden;
    -webkit-transition: font-size 0.3s;
    -o-transition: font-size 0.3s;
    transition: font-size 0.3s;
}

.navigation-list__item::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 2px; /* Adjust height as needed */
    background-color: #0c0ce9ff; /* Adjust color as needed */
    left: 0;
    -webkit-transition: -webkit-transform 0.3s;
    transition: -webkit-transform 0.3s;
    -o-transition: transform 0.3s;
    transition: transform 0.3s;
    transition: transform 0.3s, -webkit-transform 0.3s;
}

.navigation-list__item::after {
    content: "";
    position: absolute;
    width: 100%;
    height: 2px; /* Adjust height as needed */
    background-color: #0c0ce9ff; /* Adjust color as needed */
    left: 0;
    -webkit-transition: -webkit-transform 0.3s;
    transition: -webkit-transform 0.3s;
    -o-transition: transform 0.3s;
    transition: transform 0.3s;
    transition: transform 0.3s, -webkit-transform 0.3s;
}

.navigation-list__item::before {
    top: 0;
    -webkit-transform: scaleX(0);
    -ms-transform: scaleX(0);
    transform: scaleX(0);
    -webkit-transform-origin: center;
    -ms-transform-origin: center;
    transform-origin: center;
}

.navigation-list__item::after {
    bottom: 0;
    -webkit-transform: scaleX(0);
    -ms-transform: scaleX(0);
    transform: scaleX(0);
    -webkit-transform-origin: center;
    -ms-transform-origin: center;
    transform-origin: center;
}

.navigation-list__item:hover::before,
.navigation-list__item:hover::after {
    -webkit-transform: scaleX(1);
    -ms-transform: scaleX(1);
    transform: scaleX(1);
}

.navigation-list__item:hover {
    font-size: 1.3em; /* Increase text size on hover */
}

@media all and (max-width: 500px) {
    .project-list {
        -ms-grid-columns: 1fr;
        grid-template-columns: 1fr;
    }
}
@media all and (min-width: 500px) and (max-width: 750px) {
    .project-list {
        -ms-grid-columns: 1fr 20px 1fr;
        grid-template-columns: 1fr 1fr;
    }
}
@media all and (max-width: 750px) {
    .project-list {
        grid-gap: 10px;
    }
    .project__item:last-child {
        grid-column: auto / auto;
        grid-row: auto / auto;
    }
    h1 {
        font-size: 22px;
    }
}

@-webkit-keyframes color-change {
    0% {
        fill: #edc655;
    }
    50% {
        fill: #fcffad;
    }
    100% {
        fill: #f76414;
    }
}

@keyframes color-change {
    0% {
        fill: #edc655;
    }
    50% {
        fill: #fcffad;
    }
    100% {
        fill: #f76414;
    }
}

@-webkit-keyframes cloud-move {
    from {
        -webkit-transform: translate(0, 50px);
        transform: translate(0, 50px);
    }
    to {
        -webkit-transform: translate(200px, 50px);
        transform: translate(200px, 50px);
    }
}

@keyframes cloud-move {
    from {
        -webkit-transform: translate(0, 50px);
        transform: translate(0, 50px);
    }
    to {
        -webkit-transform: translate(200px, 50px);
        transform: translate(200px, 50px);
    }
}

@-webkit-keyframes cloud-move-reverse {
    from {
        -webkit-transform: translate(446px, 48px);
        transform: translate(446px, 48px);
    }
    to {
        -webkit-transform: translate(100px, 48px);
        transform: translate(100px, 48px);
    }
}

@keyframes cloud-move-reverse {
    from {
        -webkit-transform: translate(446px, 48px);
        transform: translate(446px, 48px);
    }
    to {
        -webkit-transform: translate(100px, 48px);
        transform: translate(100px, 48px);
    }
}
